Subject: [rtcweb] One consuming project's concerns with OpenH264 as a MTI codec

From: Toshio Kuratomi <[email-masked]>
Date: Wed, 6 Nov 2013 13:11:49 -0800

Greetings,

I serve on the Engineering Steering Committee for the Fedora Project, a Linux
Distribution.  A few days ago we were asked if we could give input on
OpenH264 becoming a MTI codec in the rtcweb standard.  We discussed the
issue at our weekly meeting and agreed on this statement:

Fedora is a distribution that cares about software freedom and our users
freedom. Firstly, we cannot ship binary-only prebuilt software within Fedora.
This rules out inclusion of OpenH264 binaries direct from Cisco, or other
providers. Secondly, we cannot ship software built from source which is not free
for any use, freely distributable, and free from patent restrictions.
Therefore, Fedora is similarly unable to ship rebuilt OpenH264 code.

Fedora would be much happier with a non-patent encumbered codec in the standard
as it would relieve us of the burden of caring for a codec implementation that
we cannot fix if it is buggy on our platform, let us ship improved or more
efficient versions of the codec if that is asked for, and relieve us of the
burden of making sure all implementors of the standard were using a proper
technique to retrieve the patent-encumbered portion from the internet so that
we weren't shipping non-free code.

Acceptance of an insufficiently-free license of the OpenH264 codec would mean
that open-source vendors are not able to implement it on their own terms. They
must rely on the implementation provided by a third party (Cisco) and create
workarounds to have the user download that implementation after installation,
increasing the burden on open-source users. This creates an unequal environment
for open-source vendors.

I hope that helps in your decision making.

Thank you for your time,
Toshio Kuratomi

---

From: "Matthew Kaufman (SKYPE)" <[email-masked]>
Date: Wed, 6 Nov 2013 21:23:03 +0000

Which "non-patent-enumbered" codec did you have in mind?

Matthew Kaufman

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Toshio Kuratomi
> Sent: Wednesday, November 6, 2013 1:12 PM
> To: [email-masked]
> Subject: [rtcweb] One consuming project's concerns with OpenH264 as a MTI
> codec
> 
> 
> Greetings,
> 
> I serve on the Engineering Steering Committee for the Fedora Project, a
> Linux Distribution.  A few days ago we were asked if we could give input on
> providers. Secondly, we cannot ship software built from source which is not
> free for any use, freely distributable, and free from patent restrictions.
> Fedora would be much happier with a non-patent encumbered codec in the
> standard as it would relieve us of the burden of caring for a codec
> implementation that we cannot fix if it is buggy on our platform, let us ship
> improved or more efficient versions of the codec if that is asked for, and
> relieve us of the burden of making sure all implementors of the standard
> were using a proper technique to retrieve the patent-encumbered portion
> from the internet so that we weren't shipping non-free code.
> 
> Acceptance of an insufficiently-free license of the OpenH264 codec would
> mean that open-source vendors are not able to implement it on their own
> terms. They must rely on the implementation provided by a third party
> (Cisco) and create workarounds to have the user download that
> implementation after installation, increasing the burden on open-source
> users. This creates an unequal environment for open-source vendors.
> 
>

---

From: Toshio Kuratomi <[email-masked]>
Date: Wed, 6 Nov 2013 13:41:21 -0800

> Which "non-patent-enumbered" codec did you have in mind?

Fedora currently ships VP8 and would consider it acceptable.

-Toshio

---

From: "Matthew Kaufman (SKYPE)" <[email-masked]>
Date: Wed, 6 Nov 2013 22:40:57 +0000

An interesting definition, to be sure.

Thanks,

Matthew Kaufman

> From: Toshio Kuratomi [mailto:[email-masked]]
> Sent: Wednesday, November 6, 2013 1:41 PM
> To: Matthew Kaufman (SKYPE)
> Cc: [email-masked]
> Subject: Re: [rtcweb] One consuming project's concerns with OpenH264 as a
> MTI codec
>

---

From: Basil Mohamed Gohar <[email-masked]>
Date: Wed, 06 Nov 2013 17:47:47 -0500

> An interesting definition, to be sure.

VP8 is not encumbered by patents because that patents that are known
about are granted by Google and via Google's deal with MPEG-LA.  Nokia's
threats have failed in Germany, so there remains no known encumbrance
against VP8.

The encumbrance of patents is due to their usage to restrict
free-and-open-usage of technology, which the patents on VP8 do not.  The
same cannot be said to any degree for H.264.

-- 
Libre Video
http://librevideo.org

---

From: Monty Montgomery <[email-masked]>
Date: Wed, 6 Nov 2013 18:13:56 -0500

Yes.  Even the ultra-FOSS codecs (such as Opus) now carry explicit
patents along with a license that grants unlimited and unrestricted RF
use of those patents.

The license also carries an auto-revocation should one party sue
another over Opus patents, however we assert 'thou shalt not be a
litigious dick' is not a use restriction on the codec.

Monty

On Wed, Nov 6, 2013 at 5:47 PM, Basil Mohamed Gohar
<[email-masked]> wrote:
> _______________________________________________
> rtcweb mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/rtcweb

---

From: <[email-masked]>
Date: Wed, 6 Nov 2013 23:36:36 +0000

Hi,

> threats have failed in Germany, so there remains no known encumbrance

This is not correct. The Nokia vs. HTC case where three V8 related patents are included is still very much ongoing. For instance, one of the three cases has not even been started. There is some preliminary information about the first two e.g. in [1] and [2], but also appeals have been made, so the processes are far from complete.

Note that there are also three other Nokia patents that were declared to the IETF which are not covered in the Nokia vs. HTC case. 

The point is that it is definitely too early to make conclusions (either way). 

[1] http://www.fosspatents.com/2013/05/german-court-has-apparently-found.html
[2] http://www.fosspatents.com/2013/08/dutch-appeals-court-sides-with-nokia-in.html

Markus

---

From: Silvia Pfeiffer <[email-masked]>
Date: Thu, 7 Nov 2013 11:57:00 +1100

I'm very sad to see Nokia exclude themselves from ever making a business
around VP8. It's sad to see a formerly successful technology company being
dismantled by lawyers and desperation.
Silvia.
 On 7 Nov 2013 10:41, <[email-masked]> wrote:

> This is not correct. The Nokia vs. HTC case where three V8 related patents
> are included is still very much ongoing. For instance, one of the three
> cases has not even been started. There is some preliminary information
> about the first two e.g. in [1] and [2], but also appeals have been made,
> so the processes are far from complete.
>
> Note that there are also three other Nokia patents that were declared to
> the IETF which are not covered in the Nokia vs. HTC case.
>
> [1]
> http://www.fosspatents.com/2013/05/german-court-has-apparently-found.html
> [2]
> http://www.fosspatents.com/2013/08/dutch-appeals-court-sides-with-nokia-in.html
>
> Markus

---

From: David Singer <[email-masked]>
Date: Thu, 07 Nov 2013 15:00:58 +0900

Note that you would not have to include it in your distribution; you could suggest it in your installer, for example, and if the suggestion is taken, facilitate the install.

> I hope that helps in your decision making.

David Singer
Multimedia and Software Standards, Apple Inc.

---

From: Toshio Kuratomi <[email-masked]>
Date: Thu, 7 Nov 2013 06:38:56 -0800

On Thu, Nov 07, 2013 at 03:00:58PM +0900, David Singer wrote:
> Note that you would not have to include it in your distribution; you could
> suggest it in your installer, for example, and if the suggestion is taken,
> facilitate the install.
> 
Yes we could but... Although that specific strategy wasn't mentioned, the
general gist of it would fall in line with the final two paragraphs of the
statement.  We can institute a number of workarounds to retrieve the code,
it puts a number of burdens on us and our users that don't exist for a codec
that doesn't have patent concerns.  Those burdens and workarounds are
something that open source developers and users spend long hours
implementing, maintaining, and researching how to use when no alternative
exists.   In this case, though, an alternative does exist and we would be
eager to see that alternative be the route taken.

-Toshio

---

From: cowwoc <[email-masked]>
Date: Thu, 07 Nov 2013 09:54:27 -0500

Anyone else getting the feeling that we're playing a game of good 
cop, bad cop? :)

Gili

On 06/11/2013 7:57 PM, Silvia Pfeiffer wrote:
>
> I'm very sad to see Nokia exclude themselves from ever making a 
> business around VP8. It's sad to see a formerly successful technology 
> company being dismantled by lawyers and desperation.
> Silvia.
>
> On 7 Nov 2013 10:41, <[email-masked] 
> <mailto:[email-masked]>> wrote:
>
>     Hi,
>
>     This is not correct. The Nokia vs. HTC case where three V8 related
>     patents are included is still very much ongoing. For instance, one
>     of the three cases has not even been started. There is some
>     preliminary information about the first two e.g. in [1] and [2],
>     but also appeals have been made, so the processes are far from
>     complete.
>
>     Note that there are also three other Nokia patents that were
>     declared to the IETF which are not covered in the Nokia vs. HTC case.
>
>     [email-masked] <mailto:[email-masked]>